#include <cstdio>
#include <algorithm>
#include <vector>

using namespace std;

void unos(int *n, int i, double a, double p, vector<double> *A, vector<double> *P) {
    i = 0;
    scanf("%d", n);
    while(i < *n) {
        scanf("%lf%lf", &a, &p);
        A->push_back(a);
        P->push_back(p);
        i++;
    }
}

int main() {
    int n,i = 0;
    double a,p,k,z;
    vector <double> A;
    vector <double> P;
    vector <double> kraj;

    unos(&n,i,a,p,&A,&P);

i = 0;
int j;
while(i < n) {
    for(j = 0; j < n; j++) {
        if(P[i] <= P[j]) {
            z += P[i] * A[j] * 0.01;
        }
    }
    kraj.push_back(z);
    z = 0;
    i++;
}

    k = *max_element(kraj.begin(), kraj.end());
    printf("%0.4lf",k);
    return 0;
}